# ipe::CanvasBase::Style Struct Reference

`#include <ipecanvas.h>`

List of all members.

## Public Attributes

- Color paperColor
- bool pretty
- bool classicGrid
- double thinLine
- double thickLine
- int thinStep
- int thickStep
- bool paperClip
- bool numberPages

## Detailed Description

In pretty display, no dashed lines are drawn around text objects, and if Latex font data is not available, no text is drawn at all.

## Member Data Documentation

Color ipe::CanvasBase::Style::paperColor

bool ipe::CanvasBase::Style::pretty

bool ipe::CanvasBase::Style::classicGrid

double ipe::CanvasBase::Style::thinLine

double ipe::CanvasBase::Style::thickLine

int ipe::CanvasBase::Style::thinStep

int ipe::CanvasBase::Style::thickStep

bool ipe::CanvasBase::Style::paperClip

bool ipe::CanvasBase::Style::numberPages

The documentation for this struct was generated from the following file:

- ipecanvas.h